> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Existing Locates

> List locates for the portfolio

### Supported Products

* Portfolio Margin


## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/locates
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/locates:
    get:
      tags:
        - Financing
      summary: List Existing Locates
      description: List locates for the portfolio
      operationId: PrimeRESTAPI_GetExistingLocates
      parameters:
        - name: portfolio_id
          in: path
          description: The unique ID of the portfolio
          required: true
          schema:
            type: string
        - name: locate_ids
          in: query
          description: The IDs of specific locates to filter for
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: conversion_date
          in: query
          description: 'Deprecated: Use locate_date instead'
          schema:
            type: string
        - name: locate_date
          in: query
          description: The date of the locates in YYYY-MM-DD format
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetExistingLocatesResponse
components:
  schemas:
    coinbase.public_rest_api.GetExistingLocatesResponse:
      type: object
      properties:
        locates:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.ExistingLocate'
    coinbase.public_rest_api.ExistingLocate:
      type: object
      properties:
        locate_id:
          type: string
          description: The locate ID
          example: 9227410b-d2d2-4646-950d-df126601bf2a
        entity_id:
          type: string
          description: The unique ID of the entity
          example: e8bbed13-fa33-41de-86d5-4335d8f08166
        portfolio_id:
          type: string
          description: The unique ID of the portfolio
          example: e8bbed13-fa33-41de-86d5-4335d8f08166
        symbol:
          type: string
          description: The currency symbol
          example: BTC
        requested_amount:
          type: string
          description: The requested locate amount
          example: '5.22'
        interest_rate:
          type: string
          description: The interest rate of PM loan
          example: '0.05'
        status:
          type: string
          description: The locate status
          example: filled
        approved_amount:
          type: string
          description: The approved locate amount
          example: '2.5'
        conversion_date:
          type: string
          description: 'Deprecated: Use locate_date instead'
          example: '2023-01-01T00:00:00.000Z'
        created_at:
          type: string
          description: The date when the locate was submitted in RFC3339 format
          example: '2023-01-01T00:00:00.000Z'
        locate_date:
          type: string
          description: The locate date from the CreateNewLocatesRequest in RFC3339 format
          example: '2023-01-01T00:00:00.000Z'

````